/*! \file  ElementSegmentsIntersection.cpp
 */

#include "./MeshProfileIntersectionx.h"

void ElementSegmentsIntersection(DataSet* segments_dataset,int el, double* xnodes,double* ynodes,double* xc,double* yc,int numnodes){

	int i;
	double xsegment[2];
	double ysegment[2];

	/*Loop through contour: */
	for(i=0;i<numnodes-1;i++){

		xsegment[0]=xc[i];
		xsegment[1]=xc[i+1];
		ysegment[0]=yc[i];
		ysegment[1]=yc[i+1];

		ElementSegment(segments_dataset,el, xnodes,ynodes,xsegment,ysegment);

	}
}
